Bug 71023 - Unable to upgrade Satellite Certs
Unable to upgrade Satellite Certs
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2002-08-07 17:50 EDT by Matt Jamison
Modified: 2007-07-31 15:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-28 20:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-08-07 17:50:12 EDT
Description of Problem: Unable to upgrade Satellite Certs currently - need to
fix this so test/demo users can pay us and get a working product. 

Version-Release number of selected component (if applicable): see bug 63780
Comment 1 Josef Komenda 2002-08-22 18:32:12 EDT
Currently, we add the new cert to the satellite - foo.cert - then run:

. /etc/profile.d/oracle.sh

validate-sat-cert.pl --keyring /etc/webapp-keyring.gpg --dsn webdev --upgrade <

This is the result against the live site: 
[root@sat-app root]# validate-sat-cert.pl --keyring /etc/webapp-keyring.gpg
--dsn webdev --upgrade < /root/cert.foo
Undefined subroutine &main::upgrade called at lib/Getopt/Long.pm (autosplit into
lib/auto/Getopt/Long/GetOptions.al) line 555.
Signatures signed by Red Hat, Inc (Red Hat Network) <rhn-feedback@redhat.com>
Proceding to populate database webdev...
Rolling back database handle. at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 276.

and on sat-inst (qa)
[root@sat-inst root]# validate-sat-cert.pl --keyring /etc/webapp-keyring.gpg
--dsn webdev --upgrade < /root/cert.foo
Undefined subroutine &main::upgrade called at lib/Getopt/Long.pm (autosplit into
lib/auto/Getopt/Long/GetOptions.al) line 555.
protocol error: expected SIG_ID at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/GPG.pm line 161 

The results of this do not get propigated to the website (that is, I don't see
the upgraded sert on my satellite entitlement), and the AS channels do not show
up in satellite-sync --listchannels

Comment 2 Bret McMillan 2002-08-23 00:55:33 EDT
Ok, fixed in cvs in RELEASE-1_9_7 and HEAD.

Will need to build new packages... might have to force the install.  We'll go
through this one tomorrow morning.
Comment 3 Josef Komenda 2002-08-23 14:15:47 EDT
I ran:
validate-sat-cert.pl --keyring /etc/webapp-keyring.gpg --dsn webdev --upgrade <

...and it didn't give me any errors. The Satellite
(http://sat-inst.webdev-colo.redhat.com/) shows 150 Enterprise slots, which is
corrent, but no Advanced Server channels.  

satellite-sync --listchannels
Does not show advanced server available either. 

Logging into WebQA does not show the new cert either. Perhaps all of the code
was not pushed... 
Comment 4 Josef Komenda 2002-08-23 16:02:44 EDT
Increasing priority for this.
Comment 5 Bret McMillan 2002-08-26 10:01:57 EDT
Looking at the file /usr/bin/validate-sat-cert.pl on sat-inst ....

This isn't the latest version.  Not really sure why the build process for the
satellite installer isn't picking this up.


Ok, read an email from Xian:

I would like to point out that most of the stuff under rhn/satellite ends
up in packages or on the installer disc somehow. therefore if you commit a
change there (mostly in the admin, certs or tools dir) please make sure
you rebuilt the appropiate packages with 
        ./build --satellite <package>
Look under rhn/build/satellite/packages.conf to find out the package 
names. If you change something, please don;t assume it will end up in a 
package we ship somehow. *YOU* HAVE TO MAKE SURE THAT HAPPENS.



So, I rebuilt the admin package.  We should build the installer and try again.
Comment 6 Josef Komenda 2002-08-27 14:47:56 EDT
Got it to work on webQA using latest packages and a revised commandline:

validate-sat-cert.pl --send --url
https://rhn.webqa.redhat.com/rpc/satellite.pxt --keyring
/etc/webapp-keyring.gpg --dsn webdev --upgrade < /tmp/cert.foo

Will do a clean build/kickstart/test to confirm good.
Comment 7 Josef Komenda 2002-08-27 16:06:15 EDT
Fixed, closing.
Comment 8 Josef Komenda 2002-08-28 20:18:41 EDT
Per Chip, this is not fixed.
Comment 9 Josef Komenda 2002-08-30 15:26:29 EDT
Ok, fixed now. Have stress tested this in the extreme. 
(AS client through a RHN-Proxy to the Satellite) 

Note You need to log in before you can comment on or make changes to this bug.